Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.observe
Class NetChangeObserver.ChangeContext

    java.lang.Object
      org.modeshape.graph.observe.NetChangeObserver.ChangeContext

Enclosing class:
  NetChangeObserver

    protected class NetChangeObserver.ChangeContext

extends Object

Representation of the context in which a set of changes are being made.

Constructor Summary
`protected` | `NetChangeObserver.ChangeContext()`

Method Summary
`void` | `delete(String workspace, Location location)` Record the details of a deleted node at the supplied location in the named workspace.
`org.modeshape.graph.observe.NetChangeObserver.NetChangeDetails` | `detailsFor(String workspace, Location location)` Find or create the details for the changes made to a node at the supplied location in the named workspace.
`List<NetChangeObserver.NetChange>` | `getNetChanges()` Compute the set of net changes that were made within this context.
`void` | `move(String workspace, Location fromLocation, Location toLocation, Location before, boolean isReorder)` Record that a node was moved from one location to another, and potentially into a new workspace.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NetChangeObserver.ChangeContext

    protected NetChangeObserver.ChangeContext()

Method Detail

### delete

    public void delete(String workspace,
                       Location location)

  Record the details of a deleted node at the supplied location in the named workspace.

  Parameters:
    `workspace` - the workspace of the location; may not be null
    `location` - the location whose details are being deleted; may not be null

### detailsFor

    public org.modeshape.graph.observe.NetChangeObserver.NetChangeDetails detailsFor(String workspace,
                                                                                     Location location)

  Find or create the details for the changes made to a node at the supplied location in the named workspace.

  Parameters:
    `workspace` - the workspace of the location; may not be null
    `location` - the location whose details are being deleted; may not be null
  Returns:
    the details of the changes made to the node; never null

### move

    public void move(String workspace,
                     Location fromLocation,
                     Location toLocation,
                     Location before,
                     boolean isReorder)

  Record that a node was moved from one location to another, and potentially into a new workspace.

  Parameters:
    `workspace` - the name of the original workspace in which the node existed prior to this move; may not be null
    `fromLocation` - the location of the node prior to this move; may not be null
    `toLocation` - the location of the node after this move; may not be null
    `before` - the location of the node before which this node is to be moved; may be null
    `isReorder` - true if the operation is a simple re-ordering of siblings

### getNetChanges

    public List<NetChangeObserver.NetChange> getNetChanges()

  Compute the set of net changes that were made within this context.

  Returns:
    the list of `NetChangeObserver.NetChange` objects; never null but possibly empty

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.